#!/bin/sh
afterinstall(){
config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .lprng`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    ln -sf $NEW $OLD
  fi
}
( cd usr/bin/
config lpq.lprng
config lpr.lprng
config lprm.lprng
config lpstat.lprng
config lp.lprng
)

( cd usr/sbin
config lpc.lprng
)

( cd usr/man/man1 
if  ! test -f lp.1.gz ; then
ln -sf lp.lprng.1.gz lp.1.gz 
fi


if  ! test -f lp.1.gz ; then
ln -sf lp.lprng.1.gz lp.1.gz 
fi

if  ! test  -f lprm.1.gz ; then
ln -sf lprm.lprng.1.gz lprm.1.gz
fi

if ! test -f cancel.1.gz ; then
ln -sf cancel.lprng.1.gz cancel.1.gz 
fi

if ! test -f lpstat.1.gz ; then
ln -sf lpstat.lprng.1.gz lpstat.1.gz  
fi

if ! test -f lpq.1.gz ; then
ln -sf lpq.lprng.1.gz lpq.1.gz
fi

if ! test -f lpr.1.gz ; then
ln -sf lpr.lprng.1.gz lpr.1.gz
fi
)
( cd usr/man/man8 

if ! test -f lpc.8.gz ; then
ln -sf lpc.lprng.8.gz lpc.8.gz
fi

if [ -r $TMP/say ]; then
    if [ "`cat $TMP/say`" = "1" ] ; then 
    service lprng start 1>/dev/null 2>/dev/null
    fi
fi
rm -f $TMP/say
)
}

beforeremove(){

service lprng status 1>/dev/null 2>/dev/null
if [ "$?" = "1" ]; then  
service lprng stop 1>/dev/null 2>/dev/null
fi

}

case "$1" in
'--afterinstall')
afterinstall
;;
'--beforeremove')
beforeremove
;;
*)
esac
